Get test plan configs
GET
/testplanconfigurationsGet configurations added for a specific test plan
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TestPlansConfigsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TestPlansConfigsApi(config);
const result = await api.getTestPlanConfigs({ "project": 123, "testplan": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/testplanconfigurations?token=$TESTCOLLAB_TOKEN&project=123&testplan=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
project |
query | integer | Yes | Project ID |
testplan |
query | integer | Yes | Test Plan ID |
_limit |
query | integer | No | Limit the size of the returned results |
_start |
query | integer | No | Skip a specific number of entries (for pagination) |
_sort |
query | string | No | Sort according to a specific field. |
_filter |
query | string | No | Stringified filter object (the filtering guide) |
Response
Section titled “Response”200 — list of configurations
| Field | Type | Required | Description |
|---|---|---|---|
[].id |
number | Yes | — |
[].parameters |
Array of Config Combination | Yes | — |
[].assigned_to |
User Minified | No | — |
[].assigned_to.id |
number | Yes | — |
[].assigned_to.username |
string | No | — |
[].assigned_to.name |
string | Yes | — |
[].assigned_to.avatar |
Upload | No | — |
[].assigned_to.avatar.id |
number | Yes | — |
[].assigned_to.avatar.name |
string | Yes | — |
[].assigned_to.avatar.hash |
string | Yes | — |
[].assigned_to.avatar.ext |
string | Yes | — |
[].assigned_to.avatar.mime |
string | Yes | — |
[].assigned_to.avatar.size |
string | Yes | — |
[].assigned_to.avatar.url |
string | Yes | — |
[].assigned_to.avatar.created_by |
number | No | — |
[].assigned_to.avatar.created_at |
string | Yes | — |
[].assigned_to.avatar.updated_at |
string | Yes | — |
[].assigned_to.is_guest |
number | No | — |
[]Errors
Section titled “Errors”| Status | Meaning |
|---|---|
401 |
Unauthorized |
403 |
Forbidden |
404 |
Not found |
500 |
Internal server error |